// getPointsForProject.js

function getPoints(projectNo) {
	var points = searchPoints(projectNo);
	if(points == -1){
		getPointsFile();
		points = searchPoints(projectNo);
		if(points == -1)
			points = "Unavailable";
	}
	return points;		
}

function searchPoints(projectNo){
	if(!(filesystem.itemExists(system.widgetDataFolder + "/ProjectPoints.txt")))
		return -1;
	contents = filesystem.readFile(system.widgetDataFolder + "/ProjectPoints.txt");
	allProjects = contents.split("\n");
	for(var i=0; i<allProjects.length; i++){
		if(allProjects[i].indexOf(projectNo) ==0){
			rightProject = allProjects[i].split("\t");
			return rightProject[1];
		}
	}
	
	return -1;
}

function getPointsFile(){
	var points_url = new URL();
	points_url.location = "http://vspx27.stanford.edu/psummary.html";
	contents = points_url.fetch();
	lines_array = contents.split("\n");

	var project_array = new Array(lines_array.length);
	var points_array = new Array(lines_array.length);

	var firstrow = 0;
	var lastrow;
	var output="";
	for(var i=0; i<lines_array.length; i++){
		if(lines_array[i].indexOf("<TR") == 0){
			if(firstrow ==0){
				firstrow=1;
				continue;
			} else if (firstrow ==1 && lines_array[i].indexOf("<TR")==0){
				firstrow=i;
			}
			
			for(var j=0; j<3; j++){
				lines_array[i] = lines_array[i].substring(lines_array[i].indexOf("<TD>") + 4);
			}

			project_array[i] = lines_array[i].substring(0,lines_array[i].indexOf("</TD"));
			project_array[i] = project_array[i].substring(1,project_array[i].indexOf("_"));
		
			for(var j=0; j<4; j++){
				lines_array[i] = lines_array[i].substring(lines_array[i].indexOf("<TD>") + 4);
			}
			while(lines_array[i].indexOf(" ") == 0)
				lines_array[i] = lines_array[i].substring(1);

			points_array[i] = lines_array[i].substring(0,lines_array[i].indexOf("</TD"));
		} else if(lines_array[i].indexOf("</TABLE>") ==0){
			lastrow = i;
			break;
		}
	}
	for(var i=firstrow; i<lastrow; i++){
		output = output + project_array[i] + "\t" + points_array[i] + "\n";
	}
	filesystem.writeFile(system.widgetDataFolder + "/ProjectPoints.txt",output);
}